org.apache.ignite.internal.processors.cache.persistence.wal.io

## Class LockedSegmentFileInputFactory

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.wal.io.LockedSegmentFileInputFactory

All Implemented Interfaces:
  SegmentFileInputFactory

    public class LockedSegmentFileInputFactory
    extends Object
    implements SegmentFileInputFactory

Implementation of factory to provide I/O interfaces for read primitives with files. Creating `FileInput` with ability locked segment during reading.

### Constructor Summary

Constructors
Constructor and Description
`LockedSegmentFileInputFactory(SegmentAware segmentAware, SegmentRouter segmentRouter, FileIOFactory fileIOFactory)`

### Method Summary

All Methods Instance Methods Concrete Methods
`FileInput` `createFileInput(SegmentIO segmentIO, ByteBufferExpander buf)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LockedSegmentFileInputFactory

    public LockedSegmentFileInputFactory(SegmentAware segmentAware,
                                         SegmentRouter segmentRouter,
                                         FileIOFactory fileIOFactory)

Parameters:
  `segmentAware` - Holder of actual information of latest manipulation on WAL segments.
  `segmentRouter` - Manager of segment location.
  `fileIOFactory` - `FileIO` factory definition.

### Method Detail

#### createFileInput

    public FileInput createFileInput(SegmentIO segmentIO,
                                     ByteBufferExpander buf)
                              throws IOException

Specified by:
  `createFileInput` in interface `SegmentFileInputFactory`
Parameters:
  `segmentIO` - FileIO of segment for reading.
  `buf` - ByteBuffer wrapper for dynamically expand buffer size.
Returns:
  Instance of `FileInput`.
Throws:
  `IOException` - If have some trouble with I/O.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.0
Release Date | : November 30 2018